Bug 1532058 - CONFIG_RESET_ATTACK_MITIGATION forces Lenovo X220 to hard power off and power on instead of reboot
Summary: CONFIG_RESET_ATTACK_MITIGATION forces Lenovo X220 to hard power off and power...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-07 20:03 UTC by ValdikSS
Modified: 2018-01-13 23:05 UTC (History)
18 users (show)

Fixed In Version: kernel-4.14.13-300.fc27 kernel-4.14.13-200.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-12 14:43:18 UTC


Attachments (Terms of Use)

Description ValdikSS 2018-01-07 20:03:32 UTC
Description of problem:

Fedora 26/27 kernel has Reset Attack Mitigation enabled (CONFIG_RESET_ATTACK_MITIGATION) which may cause strange reboot sequence on certain hardware (Lenovo Thinkpad X220).
Instead of rebooting normally, the laptop would hard power off (without properly stopping peripherals and internal devices, which may be spotted by HDD losing power with a specific unusual sound) and then powers on again after 1 second.

This option should be configurable if possible. I made the systemd service to workaround the problem, which writes "0" to MemoryOverwriteRequestControl EFI variable:
https://gist.github.com/ValdikSS/86352b03ec3ed3c8713b78c7e20dc222



Version-Release number of selected component (if applicable):
kernel-4.14.11-300.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora 26/27, either live or installed
2. Reboot the computer (Lenovo X220 laptop in my case)

Actual results:
The computer perform hard power off and power on after 1 second

Expected results:
The computer reboots without losing power

Comment 1 ValdikSS 2018-01-07 21:22:50 UTC
The author of this patch  Matthew Garrett‏:

>It shouldn't be enabled unless there's code in the shutdown path to clear the flag on clean shutdowns

Comment 2 Laura Abbott 2018-01-08 22:43:44 UTC
Yes, I talked to Matthew and confirmed that this shouldn't be on unless there is a userspace component. I don't want to do that right now so I turned off the option. The bug will be updated when it gets picked up into a build.

Comment 3 Fedora Update System 2018-01-11 12:55:15 UTC
kernel-4.14.13-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a7ad920c

Comment 4 Fedora Update System 2018-01-11 12:57:52 UTC
kernel-4.14.13-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6fe35524d

Comment 5 ValdikSS 2018-01-11 13:21:41 UTC
This kernel fixed the issue.
And also fixed #1497559.

Comment 6 Fedora Update System 2018-01-11 23:09:23 UTC
kernel-4.14.13-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a7ad920c

Comment 7 Fedora Update System 2018-01-11 23:43:22 UTC
kernel-4.14.13-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6fe35524d

Comment 8 Fedora Update System 2018-01-12 14:43:18 UTC
kernel-4.14.13-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-13 23:05:34 UTC
kernel-4.14.13-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.